%{?nodejs_find_provides_and_requires}

%global packagename isexe
%global enable_tests 0

Name:		nodejs-isexe
Version:	2.0.0
Release:	%mkrel 5
Summary:	Minimal module to check if a file is executable

License:	ISC
URL:		https://github.com/isaacs/isexe
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

# No license file in the npm package or upstream github
# Requested at https://github.com/isaacs/isexe/issues/1
Source1:	LICENSE-ISC.txt

BuildArch:	noarch
Group:          Development/Other

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(mkdirp)
BuildRequires:	npm(rimraf)
BuildRequires:	npm(tap)
%endif

%description
Minimal module to check if a file is executable.


%prep
%setup -q -n package

#copy the license file
cp -p %{SOURCE1} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap test/*.js
%else
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE-ISC.txt
%{nodejs_sitelib}/%{packagename}


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.0.0-5.mga10
+ Revision: 2208236
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 2.0.0-4.mga9
+ Revision: 1818532
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.0.0-3.mga8
+ Revision: 1502940
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.0.0-2.mga7
+ Revision: 1280537
- Mageia 7 Mass Rebuild

* Mon Apr 30 2018 kekepower <kekepower> 2.0.0-1.mga7
+ Revision: 1223749
- Update to version 2.0.0

* Fri May 13 2016 joequant <joequant> 1.1.2-1.mga6
+ Revision: 1014516
- upgrade to 1.1.2

* Fri May 13 2016 joequant <joequant> 1.0.0-1.mga6
+ Revision: 1014509
- imported package nodejs-isexe

